package com.example.springbootdemo.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.springbootdemo.entity.Device;
import com.example.springbootdemo.mapper.DeviceMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author zhangxiaoyu
 * @version 1.0
 * @date 2021/6/1 下午3:24
 */
@RestController
public class MybatisPlusController {
    @Autowired
    DeviceMapper deviceMapper;
    @RequestMapping("/mybatisPlusSelect")
    public Device getDeviceList() {
        QueryWrapper<Device> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("device_code","19216800200306800");
        return deviceMapper.selectOne(queryWrapper);
    }
}
